FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202105210313.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202105210313.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=163e5e7 OS_GIT_VERSION=4.6.0-202105210313.p0-163e5e7 SOURCE_DATE_EPOCH=1607708757 SOURCE_GIT_COMMIT=163e5e795d9f273a28a47b8950c9c8553994fca0 SOURCE_GIT_TAG=v0.0.0-alpha.0-738-g163e5e79 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-apiserver-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-apiserver-operator
COPY . .
RUN GODEBUG=tls13=1 go build ./cmd/cluster-openshift-apiserver-operator

FROM openshift/ose-base:v4.6.0-202105191948.p0
ENV __doozer=update BUILD_RELEASE=202105210313.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202105210313.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=163e5e7 OS_GIT_VERSION=4.6.0-202105210313.p0-163e5e7 SOURCE_DATE_EPOCH=1607708757 SOURCE_GIT_COMMIT=163e5e795d9f273a28a47b8950c9c8553994fca0 SOURCE_GIT_TAG=v0.0.0-alpha.0-738-g163e5e79 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-apiserver-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-apiserver-operator/cluster-openshift-apiserver-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_openshift-apiserver-operator_*.crd.yaml manifests/

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-apiserver-operator" \
        com.redhat.component="ose-cluster-openshift-apiserver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-apiserver" \
        release="202105210313.p0" \
        io.openshift.build.commit.id="163e5e795d9f273a28a47b8950c9c8553994fca0" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-apiserver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-apiserver-operator/commit/163e5e795d9f273a28a47b8950c9c8553994fca0" \
        version="v4.6.0"

